#include <cstdio>
#include <algorithm>
#include <vector>
#include "stations.h"
using namespace std;

void my_assert(bool cond, const char *MSG) {
	if (!cond) {
		printf("Wrong Answer: %s\n", MSG);
		exit(0);
	}
}

void answer(std::vector<long long> res) {
	for (auto &t : res)printf("%lld\n", t);
}


int main() {
	const int MAX_N = 120;
	const int MAX_X = 100000000;

	int n, A, B, i;
	int flag;
	my_assert(scanf("%d", &n) == 1, "wrong input format");
	vector<int>X(n);
	my_assert(2 <= n && n <= MAX_N, "wrong input -- n out of range");
	for (i = 0; i < n; i++) {
		my_assert(scanf("%d", &X[i]) == 1, "wrong input format");
		my_assert(1 <= X[i] && X[i] <= MAX_X, "wrong input -- x out of range");
	}
	for (i = 0; i < n - 1; i++) {
		my_assert(X[i] < X[i + 1], "wrong input -- x is not ascending order");
	}
	stations(X);

	return 0;
}